Read an email thread by Nylas provider_thread_id
GET
/
v1
/
email
/
threads
/
{thread_id}
Read an email thread by Nylas provider_thread_id
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/email/threads/{thread_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/email/threads/{thread_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/email/threads/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider_thread_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject": "<string>",
"message_count": 123,
"last_message_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"provider_message_id": "<string>",
"provider_thread_id": "<string>",
"rfc822_message_id": "<string>",
"in_reply_to_header": "<string>",
"from_address": "<string>",
"subject": "<string>",
"content": "<string>",
"triage_decision": "<string>",
"triage_reason": "<string>",
"delivery_status": "<string>",
"delivery_status_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"to_addresses": [
{
"address": "<string>",
"name": "<string>"
}
],
"cc_addresses": [
{
"address": "<string>",
"name": "<string>"
}
],
"bcc_addresses": [
{
"address": "<string>",
"name": "<string>"
}
]
}
],
"participants": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Response
Successful Response
Thread snapshot.
participants is derived from the union of senders / recipients
across the thread's messages (lowercased addresses, dedup, order =
first-seen).
Was this page helpful?
⌘I
Read an email thread by Nylas provider_thread_id
